VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL irq1
        SIGNAL mems
        BEGIN SIGNAL inport(7:0)
            BEGIN ATTR LOC "M18,W12,N19,P18,V19,V20,U19,U20"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL outport(7:0)
            BEGIN ATTR LOC "Y7,V8,W8,Y8,V9,W9,Y9,V12"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        SIGNAL clk1
        SIGNAL ios
        SIGNAL a(15:0)
        SIGNAL di_mem(15:0)
        SIGNAL do(15:0)
        SIGNAL rw
        SIGNAL di_io(15:0)
        BEGIN SIGNAL clk
            BEGIN ATTR LOC "V11"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        BEGIN SIGNAL irq
            BEGIN ATTR LOC "C20"
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
            END ATTR
        END SIGNAL
        PORT Input inport(7:0)
        PORT Output outport(7:0)
        PORT Input clk
        PORT Input irq
        BEGIN BLOCKDEF mem
            TIMESTAMP 2007 10 30 14 2 50
            RECTANGLE N -32 -128 192 208 
        END BLOCKDEF
        BEGIN BLOCKDEF io
            TIMESTAMP 2007 10 30 14 3 8
            RECTANGLE N 0 -308 224 32 
        END BLOCKDEF
        BEGIN BLOCKDEF clk_irq
            TIMESTAMP 2007 10 24 16 11 58
            RECTANGLE N -80 -16 144 64 
        END BLOCKDEF
        BEGIN BLOCKDEF cpu
            TIMESTAMP 2007 11 7 18 2 42
            RECTANGLE N 0 -508 320 96 
        END BLOCKDEF
        BEGIN BLOCK mem1 mem
            PIN rw rw
            PIN a(15:0) a(15:0)
            PIN mems mems
            PIN clk clk1
            PIN di(15:0) do(15:0)
            PIN do(15:0) di_mem(15:0)
        END BLOCK
        BEGIN BLOCK io1 io
            PIN clk clk1
            PIN ios ios
            PIN rw rw
            PIN a(15:0) a(15:0)
            PIN di(15:0) do(15:0)
            PIN do(15:0) di_io(15:0)
            PIN inport(7:0) inport(7:0)
            PIN outport(7:0) outport(7:0)
        END BLOCK
        BEGIN BLOCK clk_irq1 clk_irq
            PIN irq irq1
            PIN clk clk1
            PIN clk_x clk
            PIN irq_x irq
        END BLOCK
        BEGIN BLOCK cpu1 cpu
            PIN a(15:0) a(15:0)
            PIN rw rw
            PIN mems mems
            PIN clk clk1
            PIN irq irq1
            PIN ios ios
            PIN di_io(15:0) di_io(15:0)
            PIN di_mem(15:0) di_mem(15:0)
            PIN do(15:0) do(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH irq1
            WIRE 368 1072 576 1072
            WIRE 576 1072 880 1072
            BEGIN DISPLAY 576 1072 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH mems
            WIRE 368 864 576 864
            WIRE 576 864 880 864
            BEGIN DISPLAY 576 864 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE mem1 912 736 R0
        END INSTANCE
        BEGIN INSTANCE io1 880 544 R0
        END INSTANCE
        BEGIN BRANCH inport(7:0)
            WIRE 1104 496 1392 496
            WIRE 1392 496 1680 496
            BEGIN DISPLAY 1392 496 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH outport(7:0)
            WIRE 1104 544 1120 544
            WIRE 1120 544 1344 544
            WIRE 1344 544 1664 544
            BEGIN DISPLAY 1344 544 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk1
            WIRE 368 1024 576 1024
            WIRE 576 1024 816 1024
            WIRE 816 1024 880 1024
            WIRE 816 544 880 544
            WIRE 816 544 816 912
            WIRE 816 912 816 1024
            WIRE 816 912 880 912
            BEGIN DISPLAY 576 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ios
            WIRE 368 912 576 912
            WIRE 576 912 768 912
            WIRE 768 496 768 912
            WIRE 768 496 880 496
            BEGIN DISPLAY 576 912 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH a(15:0)
            WIRE 368 720 480 720
            WIRE 480 720 672 720
            WIRE 672 720 880 720
            WIRE 672 352 880 352
            WIRE 672 352 672 720
            BEGIN DISPLAY 480 720 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH di_mem(15:0)
            WIRE 368 624 480 624
            WIRE 480 624 880 624
            BEGIN DISPLAY 480 624 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH do(15:0)
            WIRE 368 672 480 672
            WIRE 480 672 624 672
            WIRE 624 672 880 672
            WIRE 624 304 880 304
            WIRE 624 304 624 672
            BEGIN DISPLAY 480 672 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH rw
            WIRE 368 816 576 816
            WIRE 576 816 720 816
            WIRE 720 816 880 816
            WIRE 720 448 880 448
            WIRE 720 448 720 816
            BEGIN DISPLAY 576 816 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH di_io(15:0)
            WIRE 368 576 464 576
            WIRE 464 576 576 576
            WIRE 576 256 880 256
            WIRE 576 256 576 576
            BEGIN DISPLAY 464 576 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk
            WIRE 1104 1024 1280 1024
            WIRE 1280 1024 1424 1024
            BEGIN DISPLAY 1280 1024 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN BRANCH irq
            WIRE 1104 1072 1280 1072
            WIRE 1280 1072 1424 1072
            BEGIN DISPLAY 1280 1072 ATTR LOC
                ALIGNMENT SOFT-BCENTER
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE clk_irq1 960 1024 R0
        END INSTANCE
        IOMARKER 1424 1024 clk R0 28
        IOMARKER 1424 1072 irq R0 28
        IOMARKER 1680 496 inport(7:0) R0 28
        IOMARKER 1664 544 outport(7:0) R0 28
        BEGIN DISPLAY 1144 660 TEXT "Don't modify 'mem.sch'. It is rewritten"
            FONT 32 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 1144 708 TEXT "when the assembler is executed."
            FONT 32 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 1144 756 TEXT "If you need a modification, modify"
            FONT 32 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 1144 804 TEXT "the template file 'mem.org'. But never"
            FONT 32 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        RECTANGLE N 1136 624 1684 928 
        BEGIN DISPLAY 1144 852 TEXT "modify INIT_xx of the RAM's or the"
            FONT 32 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN DISPLAY 1144 900 TEXT "assembler can't insert the code."
            FONT 32 "Arial"
            TEXTCOLOR 255 0 0
        END DISPLAY
        BEGIN INSTANCE cpu1 48 1008 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
